# Uses of Interface
org.eclipse.core.variables.IDynamicVariable

Packages that use IDynamicVariable
Package
Description
org.eclipse.core.variables
Provides support for defining and contributing variables for the purpose of string substitution.
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.

## Uses of IDynamicVariable in org.eclipse.core.variables

Methods in org.eclipse.core.variables that return IDynamicVariable
Modifier and Type
Method
Description
`IDynamicVariable`
IStringVariableManager.`getDynamicVariable(String name)`
Returns the dynamic variable with the given name or `null` if none.
`IDynamicVariable[]`
IStringVariableManager.`getDynamicVariables()`
Returns all registered dynamic variables.
Methods in org.eclipse.core.variables with parameters of type IDynamicVariable
Modifier and Type
Method
Description
`String`
IDynamicVariableResolver.`resolveValue(IDynamicVariable variable, String argument)`
Resolves and returns a value for the specified variable when referenced with the given argument, possibly `null`

## Uses of IDynamicVariable in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui with parameters of type IDynamicVariable
Modifier and Type
Method
Description
`boolean`
StringVariableSelectionDialog.VariableFilter.`isFiltered(IDynamicVariable var)`
Returns whether the given variable should be filtered.